Editar mensagem
curl --request POST \
--url https://apizap.loce.io/v1/message/edit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionId": "<string>",
"messageId": "<string>",
"newMessage": "<string>",
"phone": "<string>"
}
'import requests
url = "https://apizap.loce.io/v1/message/edit"
payload = {
"sessionId": "<string>",
"messageId": "<string>",
"newMessage": "<string>",
"phone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sessionId: '<string>',
messageId: '<string>',
newMessage: '<string>',
phone: '<string>'
})
};
fetch('https://apizap.loce.io/v1/message/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messageId": "<string>",
"sessionId": "<string>",
"phone": "<string>",
"type": "<string>",
"status": "<string>",
"quoteId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}Message
Editar uma mensagem específica.
Atualiza o conteúdo de uma mensagem que ainda pode ser editada.
POST
/
message
/
edit
Editar mensagem
POST /message/edit
await zap.editMessage('my-session-id', {
messageId: '65b3...',
text: 'Mensagem atualizada',
});
zap = LoceZap(API_KEY)
zap.edit_message("SESSION_ID", "message_id", "new_message")
lz_xxxxxxxxxx' \
--header 'Content-Type: application/json'
--data '{
"sessionId": "string",
"messageId": "string",
"newMessage": "string"
}'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I

